MINTPY-MULTILOOK(1)

NAME
mintpy-multilook - Multilook.

DESCRIPTION
usage: multilook.py [-h] [-r LKS_X] [-a LKS_Y] [-o OUTFILE]

[-m {average,nearest}] [--margin TOP BOTTOM LEFT RIGHT]
    file [file ...]

Multilook.

  positional arguments:

file
    File(s) to multilook

  options:

-h, --help
    show this help message and exit

-r LKS_X, --range LKS_X, -x LKS_X
    number of multilooking in range /x direction (default: 1).

-a LKS_Y, --azimuth LKS_Y, -y LKS_Y
    number of multilooking in azimuth/y direction (default: 1).

-o OUTFILE, --outfile OUTFILE
    Output file name. Disabled when more than 1 input files

-m {average,nearest}, --method {average,nearest}
    downsampling method (default: average) e.g. nearest for geometry, average for observations

--margin TOP BOTTOM LEFT RIGHT
    number of pixels on the margin to skip, (default: [0, 0, 0, 0]).

  example:

multilook.py
    velocity.h5 -r 15 -a 15

multilook.py
    srtm30m.dem -r 10 -a 10 -o srtm30m_300m.dem

    # Ignore / skip marginal pixels multilook.py ../../geom_reference/hgt.rdr.full -r 300 -a 100 --margin 58 58 58 58 -o hgt.rdr